config_ns.h File Reference

Library configuration file. More...

Go to the source code of this file.

## Namespaces

| CryptoPP
| Crypto++ library namespace.

## Macros

#define | CRYPTOPP_ENABLE_NAMESPACE_WEAK 1
#define | Weak1 Weak
#define | CryptoPP
#define | NAMESPACE_BEGIN(x)
#define | NAMESPACE_END
#define | DOCUMENTED_TYPEDEF(x, y) class y : public x {}
#define | protected private
#define | ANONYMOUS_NAMESPACE_BEGIN namespace {
#define | ANONYMOUS_NAMESPACE_END }
#define | USING_NAMESPACE(x) using namespace x;
#define | DOCUMENTED_NAMESPACE_BEGIN(x) namespace x {
#define | DOCUMENTED_NAMESPACE_END }

## Detailed Description

Library configuration file.

`config_ns.h` provides defines for C++ and library namespaces.

`config.h` was split into components in May 2019 to better integrate with Autoconf and its feature tests. The splitting occurred so users could continue to include `config.h` while allowing Autoconf to write new `config_asm.h` and new `config_cxx.h` using its feature tests.

Note
  You should include `config.h` rather than `config_ns.h` directly.

See also
  Issue 835, Make config.h more autoconf friendly, Configure.sh script on the Crypto++ wiki

Since
  Crypto++ 8.3

Definition in file config_ns.h.